<!doctype html>
<html>
    <head>
        <meta charset="UTF-8" />
        <title>Hello React</title>
        <script src="https://fb.me/react-15.1.0.js"></script>
        <script src="https://fb.me/react-dom-15.1.0.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/babel-core/5.8.34/browser.min.js"></script>
    </head>
    <body>
        <div id="example"></div>

        <script type="text/babel">
          var HelloWorld = React.createClass({
            render: function() {
              return(
                <div>
                  <p>
                    Hello, <input type="text" placeholder="Your name here" />!
                    It is { this.props.date.toTimeString() }
                  </p>
                  <LikeButton />
                </div>
              );
            }
          });

          var LikeButton = React.createClass({
            getInitialState: function() {
              return { liked: false };
            },

            handleClick: function() {
              this.setState({ liked: !this.state.liked });
            },

            render: function() {
              const text = this.state.liked ? 'like' : 'haven\'t liked';
              return(
                <div onClick={ this.handleClick }>
                  You { text } this. Click to toggle.
                </div>
              );
            }
          });

          setInterval(function() {
            ReactDOM.render(
              <HelloWorld date={ new Date() } />,
              document.getElementById('example')
            );
          }, 500);
        </script>

    </body>
</html>
